import React from 'react'
import { date2s, time2s } from '../../helpers'

class PlayerRow extends React.Component {
  render () {
    const player = this.props.player
    return (
      <tr>
        <td><i>{player.Konkurrenz}</i></td>
        <td><b>{player.Name}</b></td>
        <td>{player.Vorname}</td>
        <td><b>{player.NameDP}</b></td>
        <td>{player.VornameDP}</td>
        <td>{player.Bezahlt ? 'Ja' : 'Nein'}</td>
        <td>{player.BezahltAm ? `${date2s(player.BezahltAm)} ${time2s(player.BezahltAm)}` : 'Unbekannt'}</td>
        <td>{player.isJunior ? 'Junior' : ''}</td>
        <td>{player.isJuniorDP ? 'DP Junior' : ''}</td>
      </tr>
    )
  }
}

class PlayerTable extends React.Component {
  render () {
    console.log(this.props)
    const filtered = this.props.player.filteredPlayers

    return (
      <div>
        <h2>Spielerliste ({filtered.length})</h2>
        <table className='table table-bordered table-striped'>
          <thead>
            <tr>
              <th><i>Konkurrenz</i></th>
              <th><b>Name</b></th>
              <th>Vorname</th>
              <th><b>Name DP</b></th>
              <th>Vorname DP</th>
              <th>Bezahlt</th>
              <th>Bezahlt Am</th>
              <th>Junior</th>
              <th>DP Junior</th>
            </tr>
          </thead>
          <tbody>
            {filtered.map((player, key) =>
              <PlayerRow key={key} player={player} />
            )}
          </tbody>
        </table>
      </div>
    )
  }
}

export default PlayerTable
